Moxa SoftCMS RTSPVIDEO.rtspvideoCtrl.1 Open3 Remote Code Execution Vulnerability

2015-09-08T00:00:00
ID ZDI-15-435
Type zdi
Reporter Carsten Eiram - Risk Based Security
Modified 2015-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Moxa SoftCMS. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the Open3 method of the RTSPVIDEO.rtspvideoCtrl.1 control. The implementation copies the user-supplied string to a field in a heap-based buffer without validating the size of the string, which can lead to a heap-based buffer overflow. An attacker can leverage this vulnerability to execute arbitrary code under the context of the process.